﻿document.onreadystatechange = function () {
	if (document.readyState == 'complete') {
//		if(countUrl != ""){
//			addScript(countUrl);
//		}
	}
}

function getRandomArrayElements(arr, count) {
    var shuffled = arr.slice(0), i = arr.length, min = i - count, temp, index;
    while (i-- > min) {
        index = Math.floor((i + 1) * Math.random());
        temp = shuffled[index];
        shuffled[index] = shuffled[i];
        shuffled[i] = temp;
    }
    return shuffled.slice(min);
}

/* LazyLoad */
function loadImg(arr){
	for (var i = 0, len = arr.length; i < len; i++) {
		if(arr[i].getBoundingClientRect().top < document.documentElement.clientHeight && !arr[i].isLoad) {
			arr[i].isLoad = true;
			arr[i].style.cssText = 'transition:0;opacity:0;';
			if(arr[i].dataset){
			aftLoadImg(arr[i],arr[i].dataset.original);  
		}else{
			aftLoadImg(arr[i],arr[i].getAttribute('data-original'));
		}
		(function(i){
			setTimeout(function(){
				arr[i].style.cssText = 'transition:1s;opacity:1;';
			},16)
		})(i);
		}
	}
}

function aftLoadImg(obj, url) {
	var oImg = new Image();
	oImg.onload = function(){
		obj.src = oImg.src;
	}
	oImg.src = url;
}

function getDomain(){
		var domain = document.domain.split('.').slice(-2).join('.');
		return domain;
}

function goTop(){
	var goTop = setInterval(scrollMove, 10);
	function scrollMove(){
		setScrollTop(getScrollTop() / 2);
		if (getScrollTop() == 0) clearInterval(goTop);
	}
}

function getScrollTop(){
	var scrollTop = 0, bodyScrollTop = 0, documentScrollTop = 0;
	if(body){
		bodyScrollTop = body.scrollTop;
	}
	if(document.documentElement){
		documentScrollTop = document.documentElement.scrollTop;
	}
	scrollTop = (bodyScrollTop - documentScrollTop > 0) ? bodyScrollTop : documentScrollTop;
	return scrollTop;
}

function setScrollTop(value){
	if (document.documentElement.scrollTop){
		document.documentElement.scrollTop = value;
	}else{
		body.scrollTop = value;
	}
}

function addEvent(obj,type,fn){
	if(obj.addEventListener) obj.addEventListener(type,fn,false);
	else if(obj.attachEvent){
		obj["e"+type+fn]=fn;
		obj[type+fn]=function(){obj["e"+type+fn](window.event);}
		obj.attachEvent("on"+type,obj[type+fn]);
	}
}

function removeEvent(obj,type,fn){
	if(obj.removeEventListener) obj.removeEventListener(type,fn,false);
	else if(obj.detachEvent){
		obj.detachEvent("on"+type,obj[type+fn]);
		obj[type+fn]=null;
		obj["e"+type+fn]=null;
	}
}

function random(){
	return parseInt(Math.random() * 10);
}

function randomsort(a, b) {
	return random() > 5 ? -1 : 1;
}

function getRandomNumberByRange(start, end) {
	return Math.round(Math.random() * (end - start) + start)
}

function getImage(idName,num) {
	return document.getElementById(idName).getElementsByTagName('img')[num].clientHeight;
}

//function getId(idName) {
//	return document.getElementById(idName);
//}

function getId(idName) {
  if (document.getElementById(idName) !== null){
    return document.getElementById(idName);
  }
  return {'innerHTML':''};
}


function getStyle(dom, attr) {
	if (window.getComputedStyle) {
		return window.getComputedStyle(dom, null)[attr];
	} else {
		return dom.currentStyle[attr];
	}
}

function getClass(clsName,oParent) {
	var oParents = (typeof(oParent) == "object") ? oParent : (!!oParent ? document.getElementById(oParent) : document);
	var boxArr = new Array();
	var oElements  = oParents.getElementsByTagName('*');
	for(i=0;i<oElements.length;i++){
		var classname = oElements[i].className || '';
		var classNameArr = (classname+"").split(/\s+/);
		for (j = 0; j < classNameArr.length; j++) {
			if(classNameArr[j] === clsName){
				boxArr.push(oElements[i]);
			}
		}
	}
	return boxArr;
}

function closeCouplet(){
	getId('couplet').style.display='none';
	couplet = false;
	setCookie("couplet_status","0","24");
}

function showMask(zIndex){
	var mask = document.createElement("div");
	mask.id = "maskBox";
	mask.setAttribute("class","mask");
	mask.setAttribute("onclick","hideMask();");
	mask.style.cssText = "z-index:"+zIndex;
	body.appendChild(mask);
	body.style.cssText = "overflow:hidden;";
}

function hideMask(){
	maskBox.parentNode.removeChild(maskBox);
	popBox = getId('popBox');
	body.removeChild(popBox);
	body.style.cssText = "overflow:auto;";
	setCookie("newurl","0","72");
}

function setCookie(cname,cvalue,exhours){
	var exp = new Date();
	exp.setTime(exp.getTime() + Number(exhours) * 3600 * 1000);
	document.cookie = cname + "=" + cvalue + "; path=/;expires = " + exp.toGMTString();
}

function getCookie(name){
	var arr,reg=new RegExp("(^| )"+name+"=([^;]*)(;|$)");
	return (arr=document.cookie.match(reg))?unescape(arr[2]):null;
}

function removeCookie(name){
	var exp = new Date();
	exp.setTime(exp.getTime() - 1);
	var cval=getCookie(name);
	if(cval!=null)
	document.cookie= name + "="+cval+";expires="+exp.toGMTString();
}

function prefixInteger(num, length) {
	return (Array(length).join('0') + num).slice(-length);
}

function copyUrl(text){
	var input = document.createElement('textarea');
	body.appendChild(input);
	input.style.cssText = "opacity:0;position:fixed;"
	input.value = text;
	input.select();
	document.execCommand('Copy');
	alert("复制成功，请粘贴到文本保存，方便以后访问！");
	if(isIE()||isIE11()){
		input.removeNode(true);
	}else{
		input.remove();
	}
	function isIE() {
		if (!!window.ActiveXobject || "ActiveXObject" in window) {
			return true;
		} else {
			return false;
		}
	}
	function isIE11(){
		if((/Trident\/7\./).test(ua)) {
			return true;
		} else {
			return false;
		}
	}
}

function goUrl(url){
	window.open(url,"_blank");
}

function goSpons(){
	//window.open(sponsUrl,"_blank");
}

baseready.excute();

(function(){
   var bp = document.createElement('script');
   var curProtocol = window.location.protocol.split(':')[0];
//   if (curProtocol === 'https') {
//      bp.src = 'https://zz.bdstatic.com/linksubmit/push.js';
//   }
//   else {
//       bp.src = 'http://push.zhanzhang.baidu.com/push.js';
//   }
   var s = document.getElementsByTagName("script")[0];
   s.parentNode.insertBefore(bp, s);
})();
//Google
//Baidu

$(function (){
	$(document).on('mouseover touchstart ','dt.preview-item',function (e){
		if ($.trim($(this).find('.preview-div').html())) return false;
		if (e.type == 'touchstart')	{
			$('.preview-video').remove();
		}
		//var url = 'https://v.img107.space/sd4/movie/245/9223_1618985245/amin.mp4';
		//var url = $(this).find('.preview-div').data('preview');
		//if (!url) return false;
		//console.log(url);
		var img = $(this).find('.nature').data('original').split('/');
		img.pop();
		var url = img.join('/') + '/preview.mp4';
		var v = '<video autoplay muted playsinline preload="auto" width="100%" loop height="100%" class="preview-video" style="z-index:1;"><source src="'+url+'" type="video/mp4"></video>';
		$(this).find('.preview-div').append(v);
		//$(v).play();

	});
	$(document).on('mouseleave ','dt.preview-item',function (){
		$(this).find('.preview-video').remove();

	});


});
